import request from '@/utils/request'

// 查询帖子话题列表
export function listArticleTag(query) {
  return request({
    url: '/mall/ArticleTag/list',
    method: 'get',
    params: query
  })
}

// 查询帖子话题详细
export function getArticleTag(tagId) {
  return request({
    url: '/mall/ArticleTag/' + tagId,
    method: 'get'
  })
}

// 新增帖子话题
export function addArticleTag(data) {
  return request({
    url: '/mall/ArticleTag',
    method: 'post',
    data: data
  })
}

// 修改帖子话题
export function updateArticleTag(data) {
  return request({
    url: '/mall/ArticleTag',
    method: 'put',
    data: data
  })
}

// 删除帖子话题
export function delArticleTag(tagId) {
  return request({
    url: '/mall/ArticleTag/' + tagId,
    method: 'delete'
  })
}
